Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87737 - Hard Drive Based install with software RAID in ks.cfg fails
Summary: Hard Drive Based install with software RAID in ks.cfg fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-01 22:04 UTC by Robert G. Nadon
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-22 16:31:04 UTC


Attachments (Terms of Use)

Description Robert G. Nadon 2003-04-01 22:04:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
Any Software RAID specified in the ks.cfg EG:
part raid.54 --size=8000 --ondisk=sdb
part raid.53 --size=8000 --ondisk=sda
raid / --fstype ext3 --level=RAID1 raid.53 raid.54

Fails with the message:

An error occurred trying to format md0.   This problem is serious, and the 
install cannot continue.  Press <enter> to reboot your system

During the creation of partitions.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. With a Dell system create a VFAT partition and add all ISO's to that along 
with DOS, boot kernel stuff, loadlin, and a ks.cfg specifying some Software 
RAID partitions
2. Create an autoexec.bat to kick of loadlin with the ks.cfg and default 
install kernel
3. mark VFAT partition active and reboot to it
    

Actual Results:  Got the above error during partitioning

Expected Results:  Creation of the Software RAID

Additional info:

Dell Computer needs this to be able to factory install red hat linux with 
software RAID.

Comment 1 Jeremy Katz 2003-04-01 22:56:11 UTC
Please attach your complete ks.cfg (with passwords cleared) as well as
/tmp/anaconda.log from the system.

Comment 2 Michael Fulbright 2003-04-22 16:31:04 UTC
Closing due to inactivity. If you have new information to add please reopen the
issue report.


Note You need to log in before you can comment on or make changes to this bug.